using System.Collections.Generic;
using UnityEngine;

namespace Syntriax.Modules.Movement.VariableMovement.SimpleImplementation
{
    [CreateAssetMenu(fileName = "Simple VM Asset Collection", menuName = "Syntriax/Modules/Movement/VariableMovement/Simple VM Asset Collection", order = 0)]
    public class SimpleVariableMovementCollection : ScriptableObject, IVariableMovementCollection
    {
        [SerializeField] protected SimpleVariableMovementAsset defaultVariableMovementsAsset = null;
        [SerializeField] protected List<SimpleVariableMovementAsset> variableMovementsAssets = new List<SimpleVariableMovementAsset>();

        public IVariableMovementAsset DefaultVariableMovementsAsset => defaultVariableMovementsAsset;
        public List<IVariableMovementAsset> VariableMovementsAssets => variableMovementsAssets.ConvertAll<IVariableMovementAsset>(simple => (IVariableMovementAsset)simple);
    }
}
